-- Define Colors
white = Color.new(255, 255, 255)
yellow = Color.new(255, 255, 0)

-- Print Instructions
screen:print(5, 5, "Press L to begin and R to stop.", yellow)
screen:flip()

-- Create Timer
Timer = Timer.new(0)

-- Start Main Program
while true do
	screen.waitVblankStart(5)
	pad = Controls.read()
	if pad:l() then
		Timer:reset()
		Timer:start()
		while true do
			pad = Controls.read()
			screen:clear()
			screen:print(5, 5, "Press L to begin and R to stop.", yellow)
			screen:print(220, 133, tostring(math.floor(Timer:time()/1000/60) .. ":" .. math.floor((Timer:time()/1000/60-math.floor(Timer:time()/1000/60))*60) .. ":" .. string.sub(tostring(math.floor(Timer:time()/10)), -2)), white)
			screen:flip()
			if pad:r() then
				Timer:stop()
				break
			end
		end
	elseif pad:start() then
		break
	elseif pad:select() then
		screen:save("screenshot.png")
	end
end
